using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;

public partial class Admin_YongHu_YongHuZu_ZengJia : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("增加用户组", "网站后台", "增加用户组", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();

        if (this.IsPostBack)
            增加用户组();
    }
    private void 增加用户组()
    {
        访问.验证权限("23");
        String 组名称 = ZuMingChen.Text;
        String 用户类型 = Request.Form["YongHuLeiXing"];
        String 组权限 = Request.Form["ZuQuanXian"];
        if (组权限 == null)
            组权限 = "";
        else
            组权限 += ",";

        SqlCommand 语句 = new SqlCommand("SELECT [ID] FROM [" + 程序.数据表前缀 + "社区_用户_用户组] WHERE [组名称]=@组名称", 访问.连接);
        语句.Parameters.Add("@组名称", SqlDbType.NVarChar).Value = 组名称;
        SqlDataReader 读取 = 语句.ExecuteReader();
        bool 是否存在 = 读取.HasRows;
        读取.Close();
        if (是否存在)
            throw new Exception("该组名称已被使用，请更换另一个名称");

        int ZGID = 常用.SQL_最高ID(访问.连接, 程序.数据表前缀+"社区_用户_用户组");

        语句 = new SqlCommand("INSERT INTO [" + 程序.数据表前缀 + "社区_用户_用户组]([ID],[组名称],[组权限],[用户类型])" +
            "VALUES(@ID,@组名称,@组权限,@用户类型)", 访问.连接);
        语句.Parameters.Add("@ID", SqlDbType.Int).Value = ZGID;
        语句.Parameters.Add("@组名称", SqlDbType.NVarChar).Value = 组名称;
        语句.Parameters.Add("@组权限", SqlDbType.NVarChar).Value = 组权限;
        语句.Parameters.Add("@用户类型", SqlDbType.NVarChar).Value = 用户类型;
        语句.ExecuteNonQuery();

        更新缓存数据 更新缓存 = new 更新缓存数据(this.Context, 访问.连接);
        更新缓存.用户组数据_更新用户组();

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录("增加用户组[" + 组名称 + "]", 访问.用户["昵称"].ToString());

        Response.Redirect("YongHuZu.aspx");
    }
}
